Name:          autotrace
Version:       0.31.1
Release:       14mamba
Summary:       Utility for converting bitmaps to vector graphics
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://autotrace.sourceforge.net/
Source:        http://dl.sf.net/autotrace/autotrace-%{version}.tar.gz
Patch0:        %{name}-0.31.1-gcc4.patch
Patch1:        %{name}-0.31.1-pstoedit.patch
Patch2:        %{name}-0.31.1-m4_fix.patch
Patch3:        autotrace-0.31.1-libpng-1.5.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXpm-devel
BuildRequires: libbrotli-devel
BuildRequires: libbsd-devel
BuildRequires: libbzip2-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgd-devel
BuildRequires: libgif-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjbig-devel
BuildRequires: libjpeg-devel
BuildRequires: liblzma-devel
BuildRequires: libming-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libpstoedit-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: libxcb-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
BuildRequires: libMagick-devel >= 6.8.6
Requires:      libautotrace = %{?epoch:%epoch:}%{version}-%{release}

%description
AutoTrace is a program for converting bitmaps to vector graphics.
The aim of the AutoTrace project is the development of a freely-available application similar to CorelTrace or Adobe Streamline. In some aspects it is already better.
Originally being created as a plugin for the GIMP, AutoTrace is now a standalone program and can be compiled on any UNIX platform using GCC.

%package -n libautotrace
Summary:       Library for converting bitmaps to vector graphics
Group:         System/Libraries

%description -n libautotrace
AutoTrace is a program for converting bitmaps to vector graphics.
The aim of the AutoTrace project is the development of a freely-available application similar to CorelTrace or Adobe Streamline. In some aspects it is already better.
Originally being created as a plugin for the GIMP, AutoTrace is now a standalone program and can be compiled on any UNIX platform using GCC.
This package contains static libraries and header files needed for development.

%package -n libautotrace-devel
Summary:       Devel package for lib%{name}
Group:         Development/Libraries
Requires:      libautotrace = %{?epoch:%epoch:}%{version}-%{release}

%description -n libautotrace-devel
AutoTrace is a program for converting bitmaps to vector graphics.
The aim of the AutoTrace project is the development of a freely-available application similar to CorelTrace or Adobe Streamline. In some aspects it is already better.
Originally being created as a plugin for the GIMP, AutoTrace is now a standalone program and can be compiled on any UNIX platform using GCC.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q
%patch0 -p1
#%patch1 -p1
%patch2 -p1
%patch3 -p0

cat > pstoedit-config << _EOF
ARGS=\`echo \$@ | sed "s|--version|--modversion|"\`
pkg-config pstoedit \$ARGS
_EOF
chmod +x pstoedit-config

%build
autoreconf -i
%configure \
   PSTOEDIT_CONFIG=$(pwd)/pstoedit-config
 
%make

%install
[ %{buildroot} != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ %{buildroot} != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_bindir}/autotrace
%{_mandir}/man1/autotrace.1*

%files -n libautotrace
%defattr(-, root, root)
%{_libdir}/libautotrace.so.*
%doc AUTHORS COPYING* 

%files -n libautotrace-devel
%defattr(-, root, root)
%{_bindir}/autotrace-config
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.la
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_datadir}/aclocal/*.m4
%doc FAQ NEWS README* TODO
%doc ChangeLog

%changelog
* Sun Aug 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.1-14mamba
- rebuilt with libgd 2.3.2

* Tue Aug 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.1-13mamba
- rebuilt with libMagick 6.8.6.9

* Tue Dec 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.1-12mamba
- rebuilt with ImageMagick 6.8

* Tue Jul 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.1-11mamba
- fixed autotrace.m4 file

* Fri Jul 09 2010 Automatic Build System <autodist@mambasoft.it> 0.31.1-10mamba
- automatic rebuild by autodist

* Tue Jan 19 2010 Automatic Build System <autodist@mambasoft.it> 0.31.1-9mamba
- automatic rebuild by autodist

* Sat May 09 2009 Automatic Build System <autodist@mambasoft.it> 0.31.1-8mamba
- automatic rebuild by autodist

* Tue Feb 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.1-7mamba
- automatic rebuild by autodist

* Tue Nov 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.1-6mamba
- automatic rebuild by autodist

* Tue Jun 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.1-5mamba
- rebuilt against ImageMagick 6.4

* Fri Nov 03 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.31.1-4qilnx
- rebuild with libming
- added gcc4 patch

* Mon Jan 02 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.31.1-3qilnx
- rebuilt
- specfile fixed

* Tue Apr 12 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.31.1-2qilnx
- rebuild and moved from devel-contrib repository to devel repository

* Fri Sep 17 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.31.1-1qilnx
- first build
